9 Replies Latest reply: Aug 18, 2010 2:57 AM by crh24
Giles Level 4 Level 4 (1,745 points)
Anyone else having trouble getting hold of FStream? It doesn't come up in App search on the iPad and links to it in the iTunes store tell me it's not available (first directing me to the Canadian store, where it is also not there!!).

New iPad user --> scratching my head now!
  • Jisatsu6189 Level 1 Level 1 (70 points)
    go to the website they have a link that will take you to the App
  • Giles Level 4 Level 4 (1,745 points)
    You mean like the link for the iPhone here? http://www.sourcemac.com/?page=fstream

    This is what's not working for me! (I just get redirected to the Canadian store and then told it's not there).
  • Giles Level 4 Level 4 (1,745 points)
    Ah it seems it's come back again. This temporary absence seems to have been reported elsewhere on the internet.

    Next problem - FStream 1.0.7 only supports iOS 4+ so no go for the iPad. Seems that 1.0.5 would work fine but it's no longer available. Aaargh! That's the Apple/iTunes nanny state I guess.

    BTW .. spot the PC user.. p'raps it was inevitable I'd end up tearing my hair out! :P Come back micro$oft, all is forgiven..!!
  • varjak paw Level 10 Level 10 (169,810 points)
    That was the developer's choice, not anything dictated by Apple. There's nothing I know that requires any developer to release a version only compatible with iOS 4.
  • Giles Level 4 Level 4 (1,745 points)
    Yes but if iTunes let me download old versions then the developer wouldn't have to worry about supporting different versions of iOS..
  • varjak paw Level 10 Level 10 (169,810 points)
    That would probably take a major revision of the App Store structure and database to allow and so is in my guess unlikely. It's really up to the developer to consider older devices and versions of the OS, and some just don't want to or don't have the resources to support more than one version of a given app. But you can offer suggestions to Apple here:

    http://www.apple.com/feedback/itunesapp.html
  • Giles Level 4 Level 4 (1,745 points)
    I suppose it's the fact that this is a free app that makes me get slightly irritated when I can't install an older version (I did find one or 2 .ipa's on the web but it seems the DRM stuff in iTunes means you have to initially install it via iTunes... which I can't, at least until iOS 4 comes out for the iPad).

    Anyway thanks for your reply and that link!
    Best,
  • varjak paw Level 10 Level 10 (169,810 points)
    Just so you know, you won't be able to install other than through iTunes or directly on the iPad from the iTunes Store even after iOS4 is released. At least you can't do so on the iPhone with iOS4, and I doubt Apple will change that with the iPad version.
  • crh24 Level 3 Level 3 (920 points)
    Dave Sawyer wrote:
    That was the developer's choice, not anything dictated by Apple. There's nothing I know that requires any developer to release a version only compatible with iOS 4.

    I have had a couple of providers for apps I purchased provide an 'update' to retrofit their app which had just recently been updated to iOS4 only back to 3.1.3. They did this after they received a rash of 1 star reviews because their update wouldn't run on the iPad. I have three other iOS4 only apps that so far have failed to provide a version for 3.1.3 and they are living with the 1 star reviews.